Groovy 1.7.0

## groovy.util
Class ScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              groovy.util.ScriptException

    class ScriptException
    extends Exception

author:
  sam

Constructor Summary
`ScriptException()`
`ScriptException(String message)`
`ScriptException(String message, Throwable cause)`
`ScriptException(Throwable cause)`

Method Summary

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ScriptException

    public ScriptException()

### ScriptException

    public ScriptException(String message)

  param:
    message

### ScriptException

    public ScriptException(String message, Throwable cause)

  param:
    message
  param:
    cause

### ScriptException

    public ScriptException(Throwable cause)

  param:
    cause

Copyright © 2003-2009 The Codehaus. All rights reserved.